LibreOffice: XAutomationInvocation Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XAutomationInvocation Interface Reference

`import <XAutomationInvocation.idl;`

Inheritance diagram for XAutomationInvocation:

## Public Member Functions
any | invokeGetProperty ([in] string aFunctionName, [in] sequence< any > aParams, [out] sequence< short > aOutParamIndex, [out] sequence< any > aOutParam) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::script::CannotConvertException, com::sun::star::reflection::InvocationTargetException )
any | invokePutProperty ([in] string aFunctionName, [in] sequence< any > aParams, [out] sequence< short > aOutParamIndex, [out] sequence< any > aOutParam) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::script::CannotConvertException, com::sun::star::reflection::InvocationTargetException )
Public Member Functions inherited from XInvocation
com::sun::star::beans::XIntrospectionAccess | getIntrospection ()
| returns the introspection from this object or `NULL` if the object does not provide this information.
any | invoke ([in] string aFunctionName, [in] sequence< any > aParams, [out] sequence< short > aOutParamIndex, [out] sequence< any > aOutParam) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::script::CannotConvertException, com::sun::star::reflection::InvocationTargetException )
| provides access to methods exposed by an object.
void | setValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::script::CannotConvertException, com::sun::star::reflection::InvocationTargetException )
| sets a value to the property with the specified name.
any | getValue ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| returns the value of the property with the specified name.
boolean | hasMethod ([in] string aName)
| returns `TRUE` if the method with the specified name exists, else `FALSE`.
boolean | hasProperty ([in] string aName)
| returns `TRUE` if the property with the specified name exists, else `FALSE`.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Member Function Documentation

## ◆ invokeGetProperty()

any invokeGetProperty | ( | [in] string | aFunctionName,
|  | [in] sequence< any > | aParams,
|  | [out] sequence< short > | aOutParamIndex,
|  | [out] sequence< any > | aOutParam )
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::script::CannotConvertException,
|  | com::sun::star::reflection::InvocationTargetException ) |  |  |

## ◆ invokePutProperty()

any invokePutProperty | ( | [in] string | aFunctionName,
|  | [in] sequence< any > | aParams,
|  | [out] sequence< short > | aOutParamIndex,
|  | [out] sequence< any > | aOutParam )
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::script::CannotConvertException,
|  | com::sun::star::reflection::InvocationTargetException ) |  |  |

The documentation for this interface was generated from the following file:

- com/sun/star/script/XAutomationInvocation.idl